.b24w-video-popup-block {
	position: fixed;
	width: 0;
	height: 0;
	overflow: hidden;
	visibility: hidden;
	z-index: 100;
	background-color: transparent;
	transition: background-color 0.3s ease;
}

.b24w-video-popup-block.b24w-video-popup-block-show {
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	margin: auto;
	overflow: auto;
	visibility: visible;
	width: auto;
	height: auto;
	background-color: rgba(0, 0, 0, 0.3);
}

.b24w-video-popup-cnr {
	position: absolute;
	right: 0;
	left: 0;
	margin: auto;
	z-index: 101;
	width: 600px;
	height: 420px;
	padding: 20px;
	background-color: #fff;
	border-radius: 10px;
	box-shadow: 0 5px 10px -3px #000;
}

.b24w-video-popup-cnr.b24w-video-popup-base {
	top: 0;
	bottom: 0;
}

.b24w-video-popup-close-icon-cnr {
	position: absolute;
	top: -30px;
	right: -30px;
	border-radius: 30px;
	width: 40px;
	height: 40px;
	background-color: #fff;
	cursor: pointer;
	box-shadow: 0 4px 8px -3px #000;
	z-index: 102;
}

.b24w-video-popup-close-icon {
	width: 100%;
	height: 100%;
	position: relative;
	opacity: 0.2;
	transition: opacity 0.3s linear;
}

.b24w-video-popup-close-icon:after,
.b24w-video-popup-close-icon:before {
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	margin: auto;
	content: '';
	display: block;
	background-color: #000;
	width: 28px;
	height: 3px;
	border-radius: 4px;
	transform-origin: center center;
}

.b24w-video-popup-close-icon:after {
	transform: rotate(45deg);
}

.b24w-video-popup-close-icon:before {
	transform: rotate(-45deg);
}

.b24w-video-popup-close-icon:hover {
	opacity: 1;
}

.b24w-video-popup-frame-cnr {
	position: relative;
	z-index: 101;
	width: 100%;
	height: 100%;
	box-sizing: border-box;
}

.b24w-video-popup-iframe {
	display: block;
	width: 100%;
	height: 100%;
}

.b24w-video-popup-iframe-hide {
	display: none;
}